<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form" %>
<%--
  Created by IntelliJ IDEA.
  User: njc
  Date: 2022/5/7
  Time: 16:36
  To change this template use File | Settings | File Templates.
--%>
<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<script type="text/javascript">
    /**
     * 发布博客
     */
    function submitData() {
        var title = $("#title").val();
        var blogTypeId = $("#blogTypeId").combobox("getValue");
        var content = UE.getEditor('editor').getContent();
        var keyWord = $("#keyWord").val();

        console.log(blogTypeId);
        console.log(title);

        if (title == null || title === '') {
            $.messager.alert("系统提示", "请输入标题！");
        }else if (content == null || content === '') {
            $.messager.alert("系统提示", "请输入内容！");
        } else {
            $.post("${pageContext.request.contextPath}/admin/blog/save.do", {
                'title': title,
                'blogType.id': blogTypeId,
                'content': content,
                'summary': UE.getEditor('editor').getContentTxt().substr(0, 155),
                'keyWord': keyWord
            }, function (result) {
                if (result.success) {
                    $.messager.alert("系统提示", "博客发布成功！");
                } else {
                    $.messager.alert("系统提示", "博客发布失败！");
                }
            }, "json");
        }
    }
</script>
<div id="p" class="easyui-panel" title="编写博客" style="padding: 10px">
    <table cellspacing="20px">
        <tr>
            <td width="80px">博客标题</td>
            <td><input type="text" id="title" name="title" style="width: 400px;"/></td>
        </tr>
        <tr>
            <td>所属类别：</td>
            <td>
                <select class="easyui-combobox" id="blogTypeId" name="blogType.id" style="width: 154px;"
                        editable="false" panelHeight="auto">
                    <option value="">请选择博客类别...</option>
                    <c:forEach var="blogType" items="${blogTypeCountList}">
                        <option value="${blogType.id}">${blogType.typeName}</option>
                    </c:forEach>
                </select>
            </td>
        </tr>
        <tr>
            <td>博客内容：</td>
            <td>
                <script id="editor" type="text/plain" style="width: 100%;height: 500px;"></script>
            </td>
        </tr>
        <tr>
            <td>关键字：</td>
            <td><input type="text" id="keyWord" name="keyWord" style="width: 400px;"/></td>
        </tr>
        <tr>
            <td></td>
            <td><a href="javascript:submitData()" class="easyui-lunkbutton"
                   data-options="iconCls:'icon-submit'">发布博客</a></td>
        </tr>
    </table>
</div>

<script type="text/javascript">
    // 实例化编辑器
    var ue = UE.getEditor("editor");
</script>